Berkeley DB version 4.8.30

## com.sleepycat.db
Class CacheFileStats

    java.lang.Object
      com.sleepycat.db.CacheFileStats

    public class CacheFileStats

extends Object

Statistics for a file in the cache.

Method Summary
`long` `getCacheHit()` TODO
`long` `getCacheMiss()` TODO
`String` `getFileName()` TODO
`int` `getMap()` TODO
`long` `getPageCreate()` TODO
`long` `getPageIn()` TODO
`long` `getPageOut()` TODO
`int` `getPageSize()` TODO
`String` `toString()` For convenience, the CacheFileStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getFileName

    public String getFileName()

  TODO

### getPageSize

    public int getPageSize()

  TODO

### getMap

    public int getMap()

  TODO

### getCacheHit

    public long getCacheHit()

  TODO

### getCacheMiss

    public long getCacheMiss()

  TODO

### getPageCreate

    public long getPageCreate()

  TODO

### getPageIn

    public long getPageIn()

  TODO

### getPageOut

    public long getPageOut()

  TODO

### toString

    public String toString()

  For convenience, the CacheFileStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.